Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Public Member Functions | Private Slots | Private Attributes | List of all members
RenderPickingPlugin Class Reference
Inheritance diagram for RenderPickingPlugin:

## Public Slots
QString | version ()

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...
QAction * | optionsAction ()
| Return options menu. More...

## Private Slots
void | initializePlugin ()
void | render (ACG::GLState *_glState, Viewer::ViewerProperties &_properties)
QString | rendererName ()
void | supportedDrawModes (ACG::SceneGraph::DrawModes::DrawMode &_mode)
QString | checkOpenGL ()
void | slotPickTargetChanged (QAction *)

## Private Attributes
ACG::SceneGraph::PickTarget | pickRendererMode_

## Additional Inherited Members
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from RenderInterface
virtual | ~RenderInterface ()
| Destructor.
virtual QString | renderObjectsInfo (bool _outputShaderInfo)
| Return a qstring of the current render objects. More...
virtual void | reloadShaders ()
| Reload any renderer specific shaders. More...

## Detailed Description

Definition at line 58 of file RenderPickingPlugin.hh.

## Member Function Documentation

QString RenderPickingPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 73 of file RenderPickingPlugin.hh.

QString RenderPickingPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 72 of file RenderPickingPlugin.hh.

QAction * RenderPickingPlugin::optionsAction | ( |  | ) |
| virtual

Return options menu.

If you want an options Menu or menu entry, you can return your action here. It will be shown on top of the renderer list in the options menu.

Returns
  Action for a menu or menu entry

Reimplemented from RenderInterface.

Definition at line 69 of file RenderPickingPlugin.cc.

The documentation for this class was generated from the following files:

- PluginCollection-Renderers/Plugin-Render-Picking/RenderPickingPlugin.hh
- PluginCollection-Renderers/Plugin-Render-Picking/RenderPickingPlugin.cc